package com.zyh.system.controller;

import com.zyh.common.domain.Alarm;
import com.zyh.common.result.Result;
import com.zyh.system.service.AlarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("alarm")
public class AlarmController {
    @Autowired
    private AlarmService alarmService;

    //查询告警
    @PostMapping("getAlarm")
    public Result<List<Alarm>> getAlarm() {
        return alarmService.getAlarm();
    }


    //删除告警
    @PostMapping("deleteAlarm")
    public Result deleteAlarm(@RequestParam Integer id) {
        return alarmService.deleteAlarm(id);
    }
}
